1.0

1.0

get /v1/volumes/{volume_id}

Description

Show volume

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = parallel-filestorage 1.0"

Example HTTP response

Response 200

{
    "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "name": "my_volume",
    "state": "available",
    "created_at": "2024-07-30T04:54:33.219373",
    "capacity_tb": 100,
    "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
    "mount_path": "xxx.xx.xxx:/xxxxxxxx"
}